{
  "script": {
    "steps": [],
    "maxProcessedMemTableBytes": -1,
    "columnsSelection": {
      "mode": "SELECT",
      "list": [
        {
          "name": "id",
          "d": true
        },
        {
          "name": "authorized_flag",
          "d": false
        },
        {
          "name": "purchase_date",
          "d": true
        },
        {
          "name": "card_id",
          "d": true
        },
        {
          "name": "merchant_id",
          "d": false
        },
        {
          "name": "item_category",
          "d": false
        },
        {
          "name": "purchase_amount",
          "d": true
        },
        {
          "name": "purchase_amount_eur",
          "d": false
        },
        {
          "name": "signature_provided",
          "d": false
        },
        {
          "name": "product_title",
          "d": false
        },
        {
          "name": "apple1",
          "d": false
        },
        {
          "name": "first_active_month",
          "d": false
        },
        {
          "name": "reward_program",
          "d": false
        },
        {
          "name": "cardholder_fico_score",
          "d": false
        },
        {
          "name": "cardholder_fico_range",
          "d": false
        },
        {
          "name": "cardholder_age",
          "d": false
        },
        {
          "name": "merchant_category_id",
          "d": false
        },
        {
          "name": "merchant_subsector",
          "d": false
        },
        {
          "name": "merchant_latitude",
          "d": false
        },
        {
          "name": "merchant_longitude",
          "d": false
        },
        {
          "name": "purchase_date_lag_diff",
          "d": true
        },
        {
          "name": "purchase_amount_avg",
          "d": true
        },
        {
          "name": "rownumber",
          "d": true
        }
      ]
    },
    "columnWidthsByName": {
      "id": 100,
      "authorized_flag": 128,
      "purchase_date": 183,
      "card_id": 120,
      "merchant_id": 127,
      "item_category": 113,
      "purchase_amount": 134,
      "purchase_amount_eur": 158,
      "signature_provided": 150,
      "product_title": 300,
      "apple1": 100,
      "first_active_month": 150,
      "reward_program": 155,
      "cardholder_fico_score": 173,
      "cardholder_fico_range": 173,
      "cardholder_age": 120,
      "merchant_category_id": 165,
      "merchant_subsector": 183,
      "merchant_latitude": 143,
      "merchant_longitude": 150,
      "purchase_date_lag_diff": 180,
      "purchase_amount_avg": 158,
      "rownumber": 100
    },
    "columnUseScientificNotationByName": {},
    "coloring": {
      "scheme": "MEANING_AND_STATUS",
      "individualColumns": [],
      "valueColoringMode": "HASH"
    },
    "sorting": [],
    "analysisColumnData": {},
    "explorationSampling": {
      "selection": {
        "maxRecordsForDisplay": -1,
        "maxStoredBytes": -1,
        "timeout": -1,
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "partitionSelectionMethod": "ALL",
        "latestPartitionsN": 1,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "samplingMethod": "HEAD_SEQUENTIAL",
        "maxRecords": 10000,
        "targetRatio": 0.02,
        "withinFirstN": -1,
        "maxReadUncompressedBytes": -1
      },
      "autoRefreshSample": false,
      "_refreshTrigger": 0
    },
    "vizSampling": {
      "selection": {
        "useMemTable": false,
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "partitionSelectionMethod": "ALL",
        "latestPartitionsN": 1,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "samplingMethod": "FULL",
        "maxRecords": -1,
        "targetRatio": 0.02,
        "withinFirstN": -1,
        "maxReadUncompressedBytes": -1
      },
      "autoRefreshSample": false,
      "_refreshTrigger": 0
    },
    "exploreUIParams": {
      "autoRefresh": true
    },
    "globalSearchQuery": "",
    "explorationFilters": [
      {
        "column": "card_id",
        "type": "columnFilter",
        "currentMode": "FACET",
        "active": true,
        "facet": {
          "type": "facet",
          "column": "card_id",
          "columnType": "ALPHANUM",
          "currentMode": "ALPHANUM",
          "sort": "count",
          "selectedValues": {
            "C_ID_47d2295a52": true
          }
        },
        "alphanumFilter": {
          "type": "alphanum",
          "column": "card_id",
          "selectedValues": [],
          "params": {
            "mode": "full_string",
            "normalization": "exact"
          }
        },
        "validityFilter": {
          "type": "validity",
          "column": "card_id",
          "params": {
            "type": "Text",
            "ok": true,
            "nok": true,
            "empty": true
          }
        }
      }
    ],
    "previewMode": "ALL_ROWS"
  },
  "charts": [],
  "interactiveSearch": {
    "savedQueries": []
  }
}